[Libreoffice-commits] .: Branch 'libreoffice-3-4' - bin/lo-commit-stat

Andras Timar timar at kemper.freedesktop.org
Tue Apr 19 09:43:39 PDT 2011


 bin/lo-commit-stat |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

New commits:
commit 1bb691465802786e9e28c20103767acfd642ee4a
Author: Andras Timar <atimar at novell.com>
Date:   Tue Apr 19 18:42:53 2011 +0200

    fix typos in messages

diff --git a/bin/lo-commit-stat b/bin/lo-commit-stat
index c8b51d9..51029ff 100755
--- a/bin/lo-commit-stat
+++ b/bin/lo-commit-stat
@@ -39,7 +39,7 @@ sub search_bugs($$$$)
         $line =~ s/\s*-\s*$bug_orig\s*//;
         $line =~ s/\(?$bug_orig\)?[:,]?\s*//;
 
-        # bnc# is prefered over n# for novell bugs
+        # bnc# is preferred over n# for novell bugs
         $bug =~ s/^n\#/bnc#/;
         # save the bug number
         %{$pdata->{$piece}{$commit_id}{'bugs'}} = () if (! defined %{$pdata->{$piece}{$commit_id}{'bugs'}});
@@ -113,7 +113,7 @@ sub load_git_log($$$$)
         }
 
         $line = search_bugs($pdata, $piece, $commit_id, $line);
-        # FIXME: need to be implemeted
+        # FIXME: need to be implemented
 #        search_keywords($pdata, $line);
 
         unless (defined $pdata->{$piece}{$commit_id}{'summary'}) {
@@ -201,7 +201,7 @@ sub open_log_file($$$)
 
     if (-f $logfilename) {
         print "WARNING: The log file already exists: $logfilename\n";
-        print "Do you want to ovewrite it? (Y/n)?\n";
+        print "Do you want to overwrite it? (Y/n)?\n";
         my $answer = <STDIN>;
         chomp $answer;
         $answer = "y" unless ($answer);
@@ -256,7 +256,7 @@ sub print_stat($$$)
     my ($pdata, $pprint_filters, $log) = @_;
 
     foreach my $piece ( sort { $a cmp $b } keys %{$pdata}) {
-        # check if this peice has any entries at all
+        # check if this piece has any entries at all
         my $piece_title = "+ $piece";
         if ( %{$pdata->{$piece}} ) {
             my $old_summary="";
@@ -303,10 +303,10 @@ sub usage()
           "Options:\n" .
           "     --help          print this help\n" .
           "     --no-pieces     read changes just from the main repository, ignore other cloned repos\n" .
-          "     --piece=<piece> summarize just chnages from the given piece\n" .
+          "     --piece=<piece> summarize just changes from the given piece\n" .
           "     --log-suffix=<string> suffix of the log file name; the result will be\n" .
           "                     commit-log-<branch>-<log-name-suffix>.log; the branch name\n" .
-          "                     is detected autoamtically\n" .
+          "                     is detected automatically\n" .
           "     --bugs          print just bug fixes\n" .
           "     --rev-list      use \"git rev-list\" instead of \"git log\"; useful to check\n" .
           "                     differences between branches\n" .
@@ -315,7 +315,7 @@ sub usage()
           "      git_arg        extra parameters passed to the git command to define\n" .
           "                     the area of interest; The default command is \"git log\" and\n" .
           "                     parameters might be, for example, --after=\"2010-09-27\" or\n" .
-          "                     TAG..HEAD; with the option --rev-list, useful might be, for,\n" .
+          "                     TAG..HEAD; with the option --rev-list, useful might be, for\n" .
           "                     example origin/master ^origin/libreoffice-3-3\n";
 }
 
@@ -363,7 +363,7 @@ foreach my $arg (@ARGV) {
 
 $git_command .= " " . join ' ', @git_args if (@git_args);
 
-(defined $top_dir) || die "Error: top direcotry is not defined\n";
+(defined $top_dir) || die "Error: top directory is not defined\n";
 (-d "$top_dir") || die "Error: not a directory: $top_dir\n";
 (-f "$top_dir/.git/config") || die "Error: can't find $top_dir/.git/config\n";
 


More information about the Libreoffice-commits mailing list